summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-nntp/sabnzbd/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-nntp/sabnzbd/files')
-rw-r--r--net-nntp/sabnzbd/files/growler-support-gntp-1.0.patch33
-rw-r--r--net-nntp/sabnzbd/files/par2cmdline.patch12
-rw-r--r--net-nntp/sabnzbd/files/sabnzbd14
-rw-r--r--net-nntp/sabnzbd/files/sabnzbd.confd6
-rw-r--r--net-nntp/sabnzbd/files/sabnzbd.ini14
-rw-r--r--net-nntp/sabnzbd/files/sabnzbd.initd99
-rw-r--r--net-nntp/sabnzbd/files/use-system-configobj-and-feedparser.patch44
7 files changed, 222 insertions, 0 deletions
diff --git a/net-nntp/sabnzbd/files/growler-support-gntp-1.0.patch b/net-nntp/sabnzbd/files/growler-support-gntp-1.0.patch
new file mode 100644
index 000000000000..560b88a18d49
--- /dev/null
+++ b/net-nntp/sabnzbd/files/growler-support-gntp-1.0.patch
@@ -0,0 +1,33 @@
+From 96b4891d2323cb44f479bc94d1410348b1468298 Mon Sep 17 00:00:00 2001
+From: Justin Bronder <jsbronder@gmail.com>
+Date: Mon, 24 Jun 2013 19:03:17 -0400
+Subject: [PATCH] growler: support >=gntp-1.0
+
+Fixes Gentoo bug https://bugs.gentoo.org/show_bug.cgi?id=474540
+---
+ sabnzbd/growler.py | 9 ++++++++-
+ 1 file changed, 8 insertions(+), 1 deletion(-)
+
+diff --git a/sabnzbd/growler.py b/sabnzbd/growler.py
+index d250703..f39bb44 100644
+--- a/sabnzbd/growler.py
++++ b/sabnzbd/growler.py
+@@ -31,7 +31,14 @@ import sabnzbd
+ import sabnzbd.cfg
+ from sabnzbd.encoding import unicoder, latin1
+ from sabnzbd.constants import NOTIFY_KEYS
+-from gntp import GNTPRegister
++
++try:
++ # <= version 0.6
++ from gntp import GNTPRegister
++except ImportError:
++ # >= version 1.0
++ from gntp.core import GNTPRegister
++
+ from gntp.notifier import GrowlNotifier
+ try:
+ import Growl
+--
+1.8.1.5
+
diff --git a/net-nntp/sabnzbd/files/par2cmdline.patch b/net-nntp/sabnzbd/files/par2cmdline.patch
new file mode 100644
index 000000000000..d5648eb57aea
--- /dev/null
+++ b/net-nntp/sabnzbd/files/par2cmdline.patch
@@ -0,0 +1,12 @@
+--- sabnzbd/newsunpack.py.orig 2013-07-07 13:29:12.000000000 +0200
++++ sabnzbd/newsunpack.py 2013-08-02 20:16:22.286697000 +0200
+@@ -966,7 +966,7 @@
+
+ # Append the wildcard for this set
+ wildcard = '%s*' % os.path.join(os.path.split(parfile)[0], setname)
+- if single or len(globber(wildcard, None)) < 2:
++ if len(globber(wildcard, None)) < 2:
+ # Support bizarre naming conventions
+ wildcard = os.path.join(os.path.split(parfile)[0], '*')
+ command.append(wildcard)
+
diff --git a/net-nntp/sabnzbd/files/sabnzbd b/net-nntp/sabnzbd/files/sabnzbd
new file mode 100644
index 000000000000..ccc1a67fcf71
--- /dev/null
+++ b/net-nntp/sabnzbd/files/sabnzbd
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+pyexe=python2.7
+
+if [ ! -x /usr/bin/${pyexe} ]; then
+ pyexe=python2.6
+fi
+
+if [ ! -x /usr/bin/${pyexe} ]; then
+ echo "No suitable python executable found in /usr/sbin (python2.6 || python2.7)"
+ exit 1
+fi
+
+cd /usr/share/sabnzbd && /usr/bin/${pyexe} SABnzbd.py $*
diff --git a/net-nntp/sabnzbd/files/sabnzbd.confd b/net-nntp/sabnzbd/files/sabnzbd.confd
new file mode 100644
index 000000000000..ec40168657bd
--- /dev/null
+++ b/net-nntp/sabnzbd/files/sabnzbd.confd
@@ -0,0 +1,6 @@
+SABNZBD_CONFIGFILE=/etc/sabnzbd/sabnzbd.ini
+SABNZBD_USER=sabnzbd
+SABNZBD_GROUP=sabnzbd
+
+# 0 - error/warnings, 1 - info, 2 - debug
+SABNZBD_LOGGING=1
diff --git a/net-nntp/sabnzbd/files/sabnzbd.ini b/net-nntp/sabnzbd/files/sabnzbd.ini
new file mode 100644
index 000000000000..1ce776f86c18
--- /dev/null
+++ b/net-nntp/sabnzbd/files/sabnzbd.ini
@@ -0,0 +1,14 @@
+__version__ = 19
+[misc]
+log_dir = /var/log/sabnzbd
+admin_dir = /var/lib/sabnzbd/admin
+cache_dir = /var/lib/sabnzbd/cache
+complete_dir = /var/lib/sabnzbd/complete
+download_dir = /var/lib/sabnzbd/download
+dirscan_dir = /var/lib/sabnzbd/dirscan
+nzb_backup_dir = /var/lib/sabnzbd/backup
+auto_browser = 0
+host = 0.0.0.0
+port = 8080
+[growl]
+growl_enable = 0
diff --git a/net-nntp/sabnzbd/files/sabnzbd.initd b/net-nntp/sabnzbd/files/sabnzbd.initd
new file mode 100644
index 000000000000..5cfc91b9e70a
--- /dev/null
+++ b/net-nntp/sabnzbd/files/sabnzbd.initd
@@ -0,0 +1,99 @@
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+RUNDIR=/var/run/sabnzbd
+
+depend() {
+ need net
+}
+
+get_var() {
+ echo $(sed -n \
+ '/^\[misc]/,/^'$1'/ s/^'$1' = \([[:alnum:].]\+\)[\r|\n|\r\n]*$/\1/p' \
+ "${SABNZBD_CONFIGFILE}")
+}
+
+get_port() {
+ if [ "$(get_var 'enable_https')" -eq 1 ]; then
+ echo $(get_var 'https_port')
+ else
+ echo $(get_var 'port')
+ fi
+}
+
+get_addr() {
+ local host=$(get_var 'host')
+ local protocol='http'
+
+ [ "${host}" == "0.0.0.0" ] && host=localhost
+ [ "$(get_var 'enable_https')" -eq 1 ] && protocol='https'
+
+ echo "${protocol}://${host}:$(get_port)"
+}
+
+get_pidfile() {
+ echo "${RUNDIR}/sabnzbd-$(get_port).pid"
+}
+
+start() {
+ ebegin "Starting SABnzbd"
+
+ checkpath -q -d -o ${SABNZBD_USER}:${SABNZBD_GROUP} -m 0770 "${RUNDIR}"
+
+ start-stop-daemon \
+ --quiet \
+ --start \
+ --user ${SABNZBD_USER} \
+ --group ${SABNZBD_GROUP} \
+ --name sabnzbd \
+ --background \
+ --pidfile "$(get_pidfile)" \
+ --exec /usr/bin/sabnzbd \
+ -- \
+ --config-file "${SABNZBD_CONFIGFILE}" \
+ --logging "${SABNZBD_LOGGING}" \
+ --daemon \
+ --pid "${RUNDIR}"
+
+ eend $?
+}
+
+start_pre() {
+ if [ "$RC_CMD" == "restart" ]; then
+ local pidfile=$(get_pidfile)
+ while [ -e ${pidfile} ]; do
+ sleep 1
+ done
+ fi
+
+ return 0
+}
+
+stop() {
+ local api_key=$(get_var 'api_key')
+ local addr=$(get_addr)
+ local rc=1
+
+ ebegin "Stopping SABnzbd @ ${addr}"
+ # This can only work if we have enabled the API
+ if [ -n "${api_key}" -a "$(get_var 'disable_api_key')" -ne 1 ]; then
+ local ret
+ einfo "Attempting web-based shutdown @ ${addr}"
+
+ # SABnzbd will return "ok" if shutdown is successful
+ ret=$(/usr/bin/curl -k -s "${addr}/sabnzbd/api?mode=shutdown&apikey=${api_key}")
+ [ "${ret}" == "ok" ] && rc=0
+ fi
+
+ if [ "${rc}" -ne 0 ]; then
+ einfo "Falling back to SIGTERM, this may not work if you restarted via the web interface"
+ start-stop-daemon \
+ --stop \
+ --pidfile $(get_pidfile) \
+ --retry SIGTERM/1/SIGKILL/5
+ rc=$?
+ fi
+
+ eend ${rc}
+}
diff --git a/net-nntp/sabnzbd/files/use-system-configobj-and-feedparser.patch b/net-nntp/sabnzbd/files/use-system-configobj-and-feedparser.patch
new file mode 100644
index 000000000000..a55a54a01093
--- /dev/null
+++ b/net-nntp/sabnzbd/files/use-system-configobj-and-feedparser.patch
@@ -0,0 +1,44 @@
+From 89cb8b86fb087bc4706478ce4ec3ad5fd19602e6 Mon Sep 17 00:00:00 2001
+From: Justin Bronder <jsbronder@gmail.com>
+Date: Thu, 3 Jan 2013 04:10:37 -0500
+Subject: [PATCH] use system configobj and feedparser
+
+---
+ sabnzbd/config.py | 4 +++-
+ sabnzbd/rss.py | 2 +-
+ 2 files changed, 4 insertions(+), 2 deletions(-)
+
+diff --git a/sabnzbd/config.py b/sabnzbd/config.py
+index c3fc54c..cce2b14 100644
+--- a/sabnzbd/config.py
++++ b/sabnzbd/config.py
+@@ -23,10 +23,12 @@ import os
+ import logging
+ import threading
+ import shutil
++
++import configobj
++
+ import sabnzbd.misc
+ from sabnzbd.constants import CONFIG_VERSION, NORMAL_PRIORITY, DEFAULT_PRIORITY
+ from sabnzbd.utils import listquote
+-from sabnzbd.utils import configobj
+ from sabnzbd.decorators import synchronized
+
+ CONFIG_LOCK = threading.Lock()
+diff --git a/sabnzbd/rss.py b/sabnzbd/rss.py
+index 6fe6f5b..19a5d0f 100644
+--- a/sabnzbd/rss.py
++++ b/sabnzbd/rss.py
+@@ -35,7 +35,7 @@ from sabnzbd.misc import cat_convert, sanitize_foldername, wildcard_to_re, cat_t
+ import sabnzbd.emailer as emailer
+ from sabnzbd.encoding import latin1, unicoder, xml_name
+
+-import sabnzbd.utils.feedparser as feedparser
++import feedparser
+
+ __RSS = None # Global pointer to RSS-scanner instance
+
+--
+1.7.3.4
+